OGRE: Script

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Script
Core

## Classes
class | Ogre::AbstractNode
class | Ogre::AtomAbstractNode
| This is an abstract node which cannot be broken down further. More...
struct | Ogre::ConcreteNode
class | Ogre::CreateCompositorScriptCompilerEvent
class | Ogre::CreateGpuProgramScriptCompilerEvent
class | Ogre::CreateGpuSharedParametersScriptCompilerEvent
class | Ogre::CreateMaterialScriptCompilerEvent
class | Ogre::CreateParticleSystemScriptCompilerEvent
class | Ogre::ImportAbstractNode
| This abstract node represents an import statement. More...
class | Ogre::ObjectAbstractNode
| This specific abstract node represents a script object. More...
class | Ogre::ProcessNameExclusionScriptCompilerEvent
class | Ogre::ProcessResourceNameScriptCompilerEvent
class | Ogre::PropertyAbstractNode
| This abstract node represents a script property. More...
class | Ogre::ScriptCompiler
| This is the main class for the compiler. More...
class | Ogre::ScriptCompilerEvent
| This struct is a base class for events which can be thrown by the compilers and caught by subscribers. More...
class | Ogre::ScriptCompilerListener
| This is a listener for the compiler. More...
class | Ogre::ScriptCompilerManager
| Manages threaded compilation of scripts. More...
class | Ogre::ScriptLoader
| Abstract class defining the interface used by classes which wish to perform script loading to define instances of whatever they manage. More...
struct | Ogre::ScriptProperty
class | Ogre::ScriptTranslator
| This class translates script AST (abstract syntax tree) into Ogre resources. More...
class | Ogre::ScriptTranslatorManager
| The ScriptTranslatorManager manages the lifetime and access to script translators. More...
class | Ogre::VariableAccessAbstractNode
| This abstract node represents a variable assignment. More...

## Typedefs
typedef std::list< AbstractNodePtr > | Ogre::AbstractNodeList
typedef SharedPtr< AbstractNodeList > | Ogre::AbstractNodeListPtr
typedef SharedPtr< AbstractNode > | Ogre::AbstractNodePtr
typedef std::list< ConcreteNodePtr > | Ogre::ConcreteNodeList
typedef SharedPtr< ConcreteNodeList > | Ogre::ConcreteNodeListPtr
typedef SharedPtr< ConcreteNode > | Ogre::ConcreteNodePtr
typedef CreateGpuProgramScriptCompilerEvent | Ogre::CreateHighLevelGpuProgramScriptCompilerEvent

## Enumerations
enum | { Ogre::ID_MATERIAL = 3 , Ogre::ID_VERTEX_PROGRAM , Ogre::ID_GEOMETRY_PROGRAM , Ogre::ID_FRAGMENT_PROGRAM , Ogre::ID_TECHNIQUE , Ogre::ID_PASS , Ogre::ID_TEXTURE_UNIT , Ogre::ID_VERTEX_PROGRAM_REF , Ogre::ID_GEOMETRY_PROGRAM_REF , Ogre::ID_FRAGMENT_PROGRAM_REF , Ogre::ID_SHADOW_CASTER_VERTEX_PROGRAM_REF , Ogre::ID_SHADOW_CASTER_FRAGMENT_PROGRAM_REF , Ogre::ID_SHADOW_RECEIVER_VERTEX_PROGRAM_REF , Ogre::ID_SHADOW_RECEIVER_FRAGMENT_PROGRAM_REF , Ogre::ID_SHADOW_CASTER_MATERIAL , Ogre::ID_SHADOW_RECEIVER_MATERIAL , Ogre::ID_LOD_VALUES , Ogre::ID_LOD_STRATEGY , Ogre::ID_LOD_DISTANCES , Ogre::ID_RECEIVE_SHADOWS , Ogre::ID_TRANSPARENCY_CASTS_SHADOWS , Ogre::ID_SET_TEXTURE_ALIAS , Ogre::ID_SOURCE , Ogre::ID_SYNTAX , Ogre::ID_DEFAULT_PARAMS , Ogre::ID_PARAM_INDEXED , Ogre::ID_PARAM_NAMED , Ogre::ID_PARAM_INDEXED_AUTO , Ogre::ID_PARAM_NAMED_AUTO , Ogre::ID_SCHEME , Ogre::ID_LOD_INDEX , Ogre::ID_GPU_VENDOR_RULE , Ogre::ID_GPU_DEVICE_RULE , Ogre::ID_INCLUDE , Ogre::ID_EXCLUDE , Ogre::ID_AMBIENT , Ogre::ID_DIFFUSE , Ogre::ID_SPECULAR , Ogre::ID_EMISSIVE , Ogre::ID_VERTEXCOLOUR , Ogre::ID_SCENE_BLEND , Ogre::ID_COLOUR_BLEND , Ogre::ID_ONE , Ogre::ID_ZERO , Ogre::ID_DEST_COLOUR , Ogre::ID_SRC_COLOUR , Ogre::ID_ONE_MINUS_DEST_COLOUR , Ogre::ID_ONE_MINUS_SRC_COLOUR , Ogre::ID_DEST_ALPHA , Ogre::ID_SRC_ALPHA , Ogre::ID_ONE_MINUS_DEST_ALPHA , Ogre::ID_ONE_MINUS_SRC_ALPHA , Ogre::ID_SEPARATE_SCENE_BLEND , Ogre::ID_SCENE_BLEND_OP , Ogre::ID_REVERSE_SUBTRACT , Ogre::ID_MIN , Ogre::ID_MAX , Ogre::ID_SEPARATE_SCENE_BLEND_OP , Ogre::ID_DEPTH_CHECK , Ogre::ID_DEPTH_WRITE , Ogre::ID_DEPTH_FUNC , Ogre::ID_DEPTH_BIAS , Ogre::ID_ITERATION_DEPTH_BIAS , Ogre::ID_ALWAYS_FAIL , Ogre::ID_ALWAYS_PASS , Ogre::ID_LESS_EQUAL , Ogre::ID_LESS , Ogre::ID_EQUAL , Ogre::ID_NOT_EQUAL , Ogre::ID_GREATER_EQUAL , Ogre::ID_GREATER , Ogre::ID_ALPHA_REJECTION , Ogre::ID_ALPHA_TO_COVERAGE , Ogre::ID_LIGHT_SCISSOR , Ogre::ID_LIGHT_CLIP_PLANES , Ogre::ID_TRANSPARENT_SORTING , Ogre::ID_ILLUMINATION_STAGE , Ogre::ID_DECAL , Ogre::ID_CULL_HARDWARE , Ogre::ID_CLOCKWISE , Ogre::ID_ANTICLOCKWISE , Ogre::ID_CULL_SOFTWARE , Ogre::ID_BACK , Ogre::ID_FRONT , Ogre::ID_LIGHTING , Ogre::ID_SHADING , Ogre::ID_FLAT , Ogre::ID_GOURAUD , Ogre::ID_PHONG , Ogre::ID_POLYGON_MODE , Ogre::ID_SOLID , Ogre::ID_WIREFRAME , Ogre::ID_POINTS , Ogre::ID_POLYGON_MODE_OVERRIDEABLE , Ogre::ID_FOG_OVERRIDE , Ogre::ID_NONE , Ogre::ID_LINEAR , Ogre::ID_EXP , Ogre::ID_EXP2 , Ogre::ID_COLOUR_WRITE , Ogre::ID_MAX_LIGHTS , Ogre::ID_START_LIGHT , Ogre::ID_ITERATION , Ogre::ID_ONCE , Ogre::ID_ONCE_PER_LIGHT , Ogre::ID_PER_LIGHT , Ogre::ID_PER_N_LIGHTS , Ogre::ID_POINT , Ogre::ID_SPOT , Ogre::ID_DIRECTIONAL , Ogre::ID_LIGHT_MASK , Ogre::ID_POINT_SIZE , Ogre::ID_POINT_SPRITES , Ogre::ID_POINT_SIZE_ATTENUATION , Ogre::ID_POINT_SIZE_MIN , Ogre::ID_POINT_SIZE_MAX , Ogre::ID_TEXTURE_ALIAS , Ogre::ID_TEXTURE , Ogre::ID_1D , Ogre::ID_2D , Ogre::ID_3D , Ogre::ID_CUBIC , Ogre::ID_2DARRAY , Ogre::ID_2DMS , Ogre::ID_UNLIMITED , Ogre::ID_ALPHA , Ogre::ID_GAMMA , Ogre::ID_ANIM_TEXTURE , Ogre::ID_CUBIC_TEXTURE , Ogre::ID_SEPARATE_UV , Ogre::ID_COMBINED_UVW , Ogre::ID_TEX_COORD_SET , Ogre::ID_TEX_ADDRESS_MODE , Ogre::ID_WRAP , Ogre::ID_CLAMP , Ogre::ID_BORDER , Ogre::ID_MIRROR , Ogre::ID_TEX_BORDER_COLOUR , Ogre::ID_FILTERING , Ogre::ID_BILINEAR , Ogre::ID_TRILINEAR , Ogre::ID_ANISOTROPIC , Ogre::ID_CMPTEST , Ogre::ID_ON , Ogre::ID_OFF , Ogre::ID_CMPFUNC , Ogre::ID_MAX_ANISOTROPY , Ogre::ID_MIPMAP_BIAS , Ogre::ID_COLOUR_OP , Ogre::ID_REPLACE , Ogre::ID_ADD , Ogre::ID_MODULATE , Ogre::ID_ALPHA_BLEND , Ogre::ID_COLOUR_OP_EX , Ogre::ID_SOURCE1 , Ogre::ID_SOURCE2 , Ogre::ID_MODULATE_X2 , Ogre::ID_MODULATE_X4 , Ogre::ID_ADD_SIGNED , Ogre::ID_ADD_SMOOTH , Ogre::ID_SUBTRACT , Ogre::ID_BLEND_DIFFUSE_COLOUR , Ogre::ID_BLEND_DIFFUSE_ALPHA , Ogre::ID_BLEND_TEXTURE_ALPHA , Ogre::ID_BLEND_CURRENT_ALPHA , Ogre::ID_BLEND_MANUAL , Ogre::ID_DOT_PRODUCT , Ogre::ID_SRC_CURRENT , Ogre::ID_SRC_TEXTURE , Ogre::ID_SRC_DIFFUSE , Ogre::ID_SRC_SPECULAR , Ogre::ID_SRC_MANUAL , Ogre::ID_COLOUR_OP_MULTIPASS_FALLBACK , Ogre::ID_ALPHA_OP_EX , Ogre::ID_ENV_MAP , Ogre::ID_SPHERICAL , Ogre::ID_PLANAR , Ogre::ID_CUBIC_REFLECTION , Ogre::ID_CUBIC_NORMAL , Ogre::ID_SCROLL , Ogre::ID_SCROLL_ANIM , Ogre::ID_ROTATE , Ogre::ID_ROTATE_ANIM , Ogre::ID_SCALE , Ogre::ID_WAVE_XFORM , Ogre::ID_SCROLL_X , Ogre::ID_SCROLL_Y , Ogre::ID_SCALE_X , Ogre::ID_SCALE_Y , Ogre::ID_SINE , Ogre::ID_TRIANGLE , Ogre::ID_SQUARE , Ogre::ID_SAWTOOTH , Ogre::ID_INVERSE_SAWTOOTH , Ogre::ID_TRANSFORM , Ogre::ID_CONTENT_TYPE , Ogre::ID_NAMED , Ogre::ID_SHADOW , Ogre::ID_TEXTURE_SOURCE , Ogre::ID_SHARED_PARAMS , Ogre::ID_SHARED_PARAM_NAMED , Ogre::ID_SHARED_PARAMS_REF , Ogre::ID_PARTICLE_SYSTEM , Ogre::ID_EMITTER , Ogre::ID_AFFECTOR , Ogre::ID_COMPOSITOR , Ogre::ID_TARGET , Ogre::ID_TARGET_OUTPUT , Ogre::ID_INPUT , Ogre::ID_PREVIOUS , Ogre::ID_TARGET_WIDTH , Ogre::ID_TARGET_HEIGHT , Ogre::ID_TARGET_WIDTH_SCALED , Ogre::ID_TARGET_HEIGHT_SCALED , Ogre::ID_COMPOSITOR_LOGIC , Ogre::ID_TEXTURE_REF , Ogre::ID_SCOPE_LOCAL , Ogre::ID_SCOPE_CHAIN , Ogre::ID_SCOPE_GLOBAL , Ogre::ID_POOLED , Ogre::ID_NO_FSAA , Ogre::ID_DEPTH_POOL , Ogre::ID_ONLY_INITIAL , Ogre::ID_VISIBILITY_MASK , Ogre::ID_LOD_BIAS , Ogre::ID_MATERIAL_SCHEME , Ogre::ID_SHADOWS_ENABLED , Ogre::ID_CLEAR , Ogre::ID_STENCIL , Ogre::ID_RENDER_SCENE , Ogre::ID_RENDER_QUAD , Ogre::ID_IDENTIFIER , Ogre::ID_FIRST_RENDER_QUEUE , Ogre::ID_LAST_RENDER_QUEUE , Ogre::ID_QUAD_NORMALS , Ogre::ID_CAMERA_FAR_CORNERS_VIEW_SPACE , Ogre::ID_CAMERA_FAR_CORNERS_WORLD_SPACE , Ogre::ID_BUFFERS , Ogre::ID_COLOUR , Ogre::ID_DEPTH , Ogre::ID_COLOUR_VALUE , Ogre::ID_DEPTH_VALUE , Ogre::ID_STENCIL_VALUE , Ogre::ID_CHECK , Ogre::ID_COMP_FUNC , Ogre::ID_REF_VALUE , Ogre::ID_MASK , Ogre::ID_FAIL_OP , Ogre::ID_KEEP , Ogre::ID_INCREMENT , Ogre::ID_DECREMENT , Ogre::ID_INCREMENT_WRAP , Ogre::ID_DECREMENT_WRAP , Ogre::ID_INVERT , Ogre::ID_DEPTH_FAIL_OP , Ogre::ID_PASS_OP , Ogre::ID_TWO_SIDED , Ogre::ID_TESSELLATION_HULL_PROGRAM , Ogre::ID_TESSELLATION_DOMAIN_PROGRAM , Ogre::ID_COMPUTE_PROGRAM , Ogre::ID_TESSELLATION_HULL_PROGRAM_REF , Ogre::ID_TESSELLATION_DOMAIN_PROGRAM_REF , Ogre::ID_COMPUTE_PROGRAM_REF , Ogre::ID_GEOMETRY , Ogre::ID_TESSELLATION_HULL , Ogre::ID_TESSELLATION_DOMAIN , Ogre::ID_COMPUTE , Ogre::ID_LINE_WIDTH , Ogre::ID_SAMPLER , Ogre::ID_SAMPLER_REF , Ogre::ID_THREAD_GROUPS , Ogre::ID_RENDER_CUSTOM , Ogre::ID_AUTO , Ogre::ID_CAMERA , Ogre::ID_ALIGN_TO_FACE , Ogre::ID_UNORDERED_ACCESS_MIP , Ogre::ID_MESH_PROGRAM , Ogre::ID_MESH_PROGRAM_REF , Ogre::ID_TASK_PROGRAM , Ogre::ID_TASK_PROGRAM_REF , Ogre::ID_FSAA , Ogre::ID_USE_LINEAR_COLOURS , Ogre::ID_END_BUILTIN_IDS }
| This enum defines the integer ids for keywords this compiler handles. More...
enum | Ogre::AbstractNodeType { Ogre::ANT_UNKNOWN , Ogre::ANT_ATOM , Ogre::ANT_OBJECT , Ogre::ANT_PROPERTY , Ogre::ANT_IMPORT , Ogre::ANT_VARIABLE_SET , Ogre::ANT_VARIABLE_ACCESS }
| This enum holds the types of the possible abstract nodes. More...
enum | Ogre::ConcreteNodeType { Ogre::CNT_VARIABLE , Ogre::CNT_VARIABLE_ASSIGN , Ogre::CNT_WORD , Ogre::CNT_IMPORT , Ogre::CNT_QUOTE , Ogre::CNT_LBRACE , Ogre::CNT_RBRACE , Ogre::CNT_COLON }
| These enums hold the types of the concrete parsed nodes. More...

## Functions
ScriptProperty | Ogre::AbstractNode::getProperty () const
| Returns the property name and values of the node for ANT_PROPERTY. Empty string otherwise.
const String & | Ogre::AbstractNode::getString () const
| Returns the string content of the node for ANT_ATOM. Empty string otherwise.

## Detailed Description

## Typedef Documentation

## ◆ ConcreteNodePtr

typedef SharedPtr<ConcreteNode> Ogre::ConcreteNodePtr

## ◆ ConcreteNodeList

typedef std::list<ConcreteNodePtr> Ogre::ConcreteNodeList

## ◆ ConcreteNodeListPtr

typedef SharedPtr<ConcreteNodeList> Ogre::ConcreteNodeListPtr

## ◆ AbstractNodePtr

typedef SharedPtr<AbstractNode> Ogre::AbstractNodePtr

## ◆ AbstractNodeList

typedef std::list<AbstractNodePtr> Ogre::AbstractNodeList

## ◆ AbstractNodeListPtr

typedef SharedPtr<AbstractNodeList> Ogre::AbstractNodeListPtr

## ◆ CreateHighLevelGpuProgramScriptCompilerEvent

typedef CreateGpuProgramScriptCompilerEvent Ogre::CreateHighLevelGpuProgramScriptCompilerEvent

Deprecated
  use CreateGpuProgramScriptCompilerEvent

## Enumeration Type Documentation

## ◆ ConcreteNodeType

enum Ogre::ConcreteNodeType

These enums hold the types of the concrete parsed nodes.

Enumerator
CNT_VARIABLE |
CNT_VARIABLE_ASSIGN |
CNT_WORD |
CNT_IMPORT |
CNT_QUOTE |
CNT_LBRACE |
CNT_RBRACE |
CNT_COLON |

## ◆ AbstractNodeType

enum Ogre::AbstractNodeType

This enum holds the types of the possible abstract nodes.

Enumerator
ANT_UNKNOWN |
ANT_ATOM |
ANT_OBJECT |
ANT_PROPERTY |
ANT_IMPORT |
ANT_VARIABLE_SET |
ANT_VARIABLE_ACCESS |

## ◆ anonymous enum

anonymous enum

This enum defines the integer ids for keywords this compiler handles.

Enumerator
ID_MATERIAL |
ID_VERTEX_PROGRAM |
ID_GEOMETRY_PROGRAM |
ID_FRAGMENT_PROGRAM |
ID_TECHNIQUE |
ID_PASS |
ID_TEXTURE_UNIT |
ID_VERTEX_PROGRAM_REF |
ID_GEOMETRY_PROGRAM_REF |
ID_FRAGMENT_PROGRAM_REF |
ID_SHADOW_CASTER_VERTEX_PROGRAM_REF |
ID_SHADOW_CASTER_FRAGMENT_PROGRAM_REF |
ID_SHADOW_RECEIVER_VERTEX_PROGRAM_REF |
ID_SHADOW_RECEIVER_FRAGMENT_PROGRAM_REF |
ID_SHADOW_CASTER_MATERIAL |
ID_SHADOW_RECEIVER_MATERIAL |
ID_LOD_VALUES |
ID_LOD_STRATEGY |
ID_LOD_DISTANCES |
ID_RECEIVE_SHADOWS |
ID_TRANSPARENCY_CASTS_SHADOWS |
ID_SET_TEXTURE_ALIAS |
ID_SOURCE |
ID_SYNTAX |
ID_DEFAULT_PARAMS |
ID_PARAM_INDEXED |
ID_PARAM_NAMED |
ID_PARAM_INDEXED_AUTO |
ID_PARAM_NAMED_AUTO |
ID_SCHEME |
ID_LOD_INDEX |
ID_GPU_VENDOR_RULE |
ID_GPU_DEVICE_RULE |
ID_INCLUDE |
ID_EXCLUDE |
ID_AMBIENT |
ID_DIFFUSE |
ID_SPECULAR |
ID_EMISSIVE |
ID_VERTEXCOLOUR |
ID_SCENE_BLEND |
ID_COLOUR_BLEND |
ID_ONE |
ID_ZERO |
ID_DEST_COLOUR |
ID_SRC_COLOUR |
ID_ONE_MINUS_DEST_COLOUR |
ID_ONE_MINUS_SRC_COLOUR |
ID_DEST_ALPHA |
ID_SRC_ALPHA |
ID_ONE_MINUS_DEST_ALPHA |
ID_ONE_MINUS_SRC_ALPHA |
ID_SEPARATE_SCENE_BLEND |
ID_SCENE_BLEND_OP |
ID_REVERSE_SUBTRACT |
ID_MIN |
ID_MAX |
ID_SEPARATE_SCENE_BLEND_OP |
ID_DEPTH_CHECK |
ID_DEPTH_WRITE |
ID_DEPTH_FUNC |
ID_DEPTH_BIAS |
ID_ITERATION_DEPTH_BIAS |
ID_ALWAYS_FAIL |
ID_ALWAYS_PASS |
ID_LESS_EQUAL |
ID_LESS |
ID_EQUAL |
ID_NOT_EQUAL |
ID_GREATER_EQUAL |
ID_GREATER |
ID_ALPHA_REJECTION |
ID_ALPHA_TO_COVERAGE |
ID_LIGHT_SCISSOR |
ID_LIGHT_CLIP_PLANES |
ID_TRANSPARENT_SORTING |
ID_ILLUMINATION_STAGE |
ID_DECAL |
ID_CULL_HARDWARE |
ID_CLOCKWISE |
ID_ANTICLOCKWISE |
ID_CULL_SOFTWARE |
ID_BACK |
ID_FRONT |
ID_LIGHTING |
ID_SHADING |
ID_FLAT |
ID_GOURAUD |
ID_PHONG |
ID_POLYGON_MODE |
ID_SOLID |
ID_WIREFRAME |
ID_POINTS |
ID_POLYGON_MODE_OVERRIDEABLE |
ID_FOG_OVERRIDE |
ID_NONE |
ID_LINEAR |
ID_EXP |
ID_EXP2 |
ID_COLOUR_WRITE |
ID_MAX_LIGHTS |
ID_START_LIGHT |
ID_ITERATION |
ID_ONCE |
ID_ONCE_PER_LIGHT |
ID_PER_LIGHT |
ID_PER_N_LIGHTS |
ID_POINT |
ID_SPOT |
ID_DIRECTIONAL |
ID_LIGHT_MASK |
ID_POINT_SIZE |
ID_POINT_SPRITES |
ID_POINT_SIZE_ATTENUATION |
ID_POINT_SIZE_MIN |
ID_POINT_SIZE_MAX |
ID_TEXTURE_ALIAS |
ID_TEXTURE |
ID_1D |
ID_2D |
ID_3D |
ID_CUBIC |
ID_2DARRAY |
ID_2DMS |
ID_UNLIMITED |
ID_ALPHA |
ID_GAMMA |
ID_ANIM_TEXTURE |
ID_CUBIC_TEXTURE |
ID_SEPARATE_UV |
ID_COMBINED_UVW |
ID_TEX_COORD_SET |
ID_TEX_ADDRESS_MODE |
ID_WRAP |
ID_CLAMP |
ID_BORDER |
ID_MIRROR |
ID_TEX_BORDER_COLOUR |
ID_FILTERING |
ID_BILINEAR |
ID_TRILINEAR |
ID_ANISOTROPIC |
ID_CMPTEST |
ID_ON |
ID_OFF |
ID_CMPFUNC |
ID_MAX_ANISOTROPY |
ID_MIPMAP_BIAS |
ID_COLOUR_OP |
ID_REPLACE |
ID_ADD |
ID_MODULATE |
ID_ALPHA_BLEND |
ID_COLOUR_OP_EX |
ID_SOURCE1 |
ID_SOURCE2 |
ID_MODULATE_X2 |
ID_MODULATE_X4 |
ID_ADD_SIGNED |
ID_ADD_SMOOTH |
ID_SUBTRACT |
ID_BLEND_DIFFUSE_COLOUR |
ID_BLEND_DIFFUSE_ALPHA |
ID_BLEND_TEXTURE_ALPHA |
ID_BLEND_CURRENT_ALPHA |
ID_BLEND_MANUAL |
ID_DOT_PRODUCT |
ID_SRC_CURRENT |
ID_SRC_TEXTURE |
ID_SRC_DIFFUSE |
ID_SRC_SPECULAR |
ID_SRC_MANUAL |
ID_COLOUR_OP_MULTIPASS_FALLBACK |
ID_ALPHA_OP_EX |
ID_ENV_MAP |
ID_SPHERICAL |
ID_PLANAR |
ID_CUBIC_REFLECTION |
ID_CUBIC_NORMAL |
ID_SCROLL |
ID_SCROLL_ANIM |
ID_ROTATE |
ID_ROTATE_ANIM |
ID_SCALE |
ID_WAVE_XFORM |
ID_SCROLL_X |
ID_SCROLL_Y |
ID_SCALE_X |
ID_SCALE_Y |
ID_SINE |
ID_TRIANGLE |
ID_SQUARE |
ID_SAWTOOTH |
ID_INVERSE_SAWTOOTH |
ID_TRANSFORM |
ID_CONTENT_TYPE |
ID_NAMED |
ID_SHADOW |
ID_TEXTURE_SOURCE |
ID_SHARED_PARAMS |
ID_SHARED_PARAM_NAMED |
ID_SHARED_PARAMS_REF |
ID_PARTICLE_SYSTEM |
ID_EMITTER |
ID_AFFECTOR |
ID_COMPOSITOR |
ID_TARGET |
ID_TARGET_OUTPUT |
ID_INPUT |
ID_PREVIOUS |
ID_TARGET_WIDTH |
ID_TARGET_HEIGHT |
ID_TARGET_WIDTH_SCALED |
ID_TARGET_HEIGHT_SCALED |
ID_COMPOSITOR_LOGIC |
ID_TEXTURE_REF |
ID_SCOPE_LOCAL |
ID_SCOPE_CHAIN |
ID_SCOPE_GLOBAL |
ID_POOLED |
ID_NO_FSAA |
ID_DEPTH_POOL |
ID_ONLY_INITIAL |
ID_VISIBILITY_MASK |
ID_LOD_BIAS |
ID_MATERIAL_SCHEME |
ID_SHADOWS_ENABLED |
ID_CLEAR |
ID_STENCIL |
ID_RENDER_SCENE |
ID_RENDER_QUAD |
ID_IDENTIFIER |
ID_FIRST_RENDER_QUEUE |
ID_LAST_RENDER_QUEUE |
ID_QUAD_NORMALS |
ID_CAMERA_FAR_CORNERS_VIEW_SPACE |
ID_CAMERA_FAR_CORNERS_WORLD_SPACE |
ID_BUFFERS |
ID_COLOUR |
ID_DEPTH |
ID_COLOUR_VALUE |
ID_DEPTH_VALUE |
ID_STENCIL_VALUE |
ID_CHECK |
ID_COMP_FUNC |
ID_REF_VALUE |
ID_MASK |
ID_FAIL_OP |
ID_KEEP |
ID_INCREMENT |
ID_DECREMENT |
ID_INCREMENT_WRAP |
ID_DECREMENT_WRAP |
ID_INVERT |
ID_DEPTH_FAIL_OP |
ID_PASS_OP |
ID_TWO_SIDED |
ID_TESSELLATION_HULL_PROGRAM |
ID_TESSELLATION_DOMAIN_PROGRAM |
ID_COMPUTE_PROGRAM |
ID_TESSELLATION_HULL_PROGRAM_REF |
ID_TESSELLATION_DOMAIN_PROGRAM_REF |
ID_COMPUTE_PROGRAM_REF |
ID_GEOMETRY |
ID_TESSELLATION_HULL |
ID_TESSELLATION_DOMAIN |
ID_COMPUTE |
ID_LINE_WIDTH |
ID_SAMPLER |
ID_SAMPLER_REF |
ID_THREAD_GROUPS |
ID_RENDER_CUSTOM |
ID_AUTO |
ID_CAMERA |
ID_ALIGN_TO_FACE |
ID_UNORDERED_ACCESS_MIP |
ID_MESH_PROGRAM |
ID_MESH_PROGRAM_REF |
ID_TASK_PROGRAM |
ID_TASK_PROGRAM_REF |
ID_FSAA |
ID_USE_LINEAR_COLOURS |
ID_END_BUILTIN_IDS |

## Function Documentation

## ◆ getString()

const String & Ogre::AbstractNode::getString | ( |  | ) | const
| inline

Returns the string content of the node for ANT_ATOM. Empty string otherwise.

References Ogre::ANT_ATOM, Ogre::BLANKSTRING, and type.

Referenced by getValue().

## ◆ getProperty()

ScriptProperty Ogre::AbstractNode::getProperty | ( |  | ) | const
| inline

Returns the property name and values of the node for ANT_PROPERTY. Empty string otherwise.

References Ogre::ANT_PROPERTY, Ogre::PropertyAbstractNode::name, type, and Ogre::PropertyAbstractNode::values.

Referenced by getValue().